import java.util.Random;
import processing.core.*;

// This is our robot class
public class Robot{
  private int x;
  private int y;
  int speed;
  int diameter;
  
  static Random rng = new Random();
  
  public Robot(int x0, int y0, int size, int speed){
    this.x = x0;
    this.y = y0;
    this.diameter = size;
    this.speed = speed;
  }
  
  // This doesn't work because we don't have a reference 
  // of a place to draw! Where is the ellipse going to be drawn?
  /*public void render(){
     ellipse(this.x, this.y
             , this.diameter, this.diameter);  
  }*/
  
  public int getX(){
    // this makes the method return a
    // random number between x-speed and x+speed
    int x_noise = rng.nextInt(speed)-speed/2;
    return x + x_noise; 
  }
  
  public int getY(){
    // this makes the method return a
    // random number between x-speed and x+speed
    int y_noise = rng.nextInt(speed)-speed/2;
    return y + y_noise;
  }
  
}
