import java.util.ArrayList;
import java.util.Random;

ArrayList<Robot> myRobots =
              new ArrayList<Robot>();

void setup(){
   size(400,400);
   frameRate(60);
}

void draw(){
  // initialize a robot
  // at the location of the click
  if (mousePressed){
     int newSpeed = Robot.rng.nextInt(10)+1; 
     Robot r = new Robot(mouseX,mouseY, 50, newSpeed);
     myRobots.add(r);
     // wait for a while (0.5 seconds), so that we don't 
     // draw multiple robots at once
     delay(100);
  }
  background(127);
  
  // here we draw all the robots
  for (int i = 0; i<myRobots.size(); i++){
    Robot r = myRobots.get(i);
    ellipse(r.getX(),r.getY(),r.diameter,r.diameter);
  }
}

void keyPressed(){
   if ( key == 'x' || key == 'X' ){
       int n = myRobots.size();
       Random rng = new Random();
       try{
         int robotToKill = rng.nextInt(n-1);
         myRobots.remove(robotToKill);
       } catch (Exception e){
          System.out.println("No more Robots to kill"); 
       }
   } 
}
