import java.util.Random;

// here we define global variables
int wid = 600;
int hei = 600;

int x = wid/2;
int y = hei/2;

int diameter = 100;

Random rng = new Random();

void setup(){
    // this only gets executed once, at the beginning of your program
    size(wid,hei);
}

void draw(){
    // this sets the background color
    background(100);
    
    // this adds some noise to the location of the circle
    int nx = rng.nextInt(10) - 5;
    int ny = rng.nextInt(10) - 5;
     
    // this gets executed continuously
    ellipse(mouseX+nx,mouseY+ny,diameter,diameter);
}

void keyPressed(){
    // if the key pressed is a, increase the diameter by 10
    // if the key pressed is b, decrease the diameter by 5
    if (key == 'a' || key == 'A' ){
        diameter += 10;
    } else if ( key == 'b' || key == 'B' ){
        diameter -= 5;
    }
}

